ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Data.Graph.Directed.Internal

# Documentation

data Graph node #

Constructors

Graph |

Fields

- gr_int_graph :: IntGraph
- gr_vertex_to_node :: Vertex -> node
- gr_node_to_vertex :: node -> Maybe Vertex

#### Instances

Instances details

Outputable node => Outputable (Graph node) # |
Instance details Defined in GHC.Data.Graph.Directed.Internal Methods ppr :: Graph node -> SDoc #

data Edge node #

Constructors

Edge node node |

#### Instances

Instances details

Outputable node => Outputable (Edge node) # |
Instance details Defined in GHC.Data.Graph.Directed.Internal Methods ppr :: Edge node -> SDoc #

verticesG :: Graph node -> [node] #

edgesG :: Graph node -> [Edge node] #

type IntGraph = Graph #

preorderF :: Forest a -> [a] #

reachable :: IntGraph -> [Vertex] -> [Vertex] #

scc :: IntGraph -> [SCC Vertex] #